# Class CIM_QoSConditioningSubService
extends CIM_ServiceComponent

A QoSService utilizes underlying ConditioningServices as part of its overall functionality. This is modeled using the QoSConditioningSubService association. Note that a ConditioningService may only be part of a single QoSService - the cardinality on the QoSService reference is Max (1).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ServiceComponent
|
+--CIM_QoSConditioningSubService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | A QoSService utilizes underlying ConditioningServices as part of its overall functionality. This is modeled using the QoSConditioningSubService association. Note that a ConditioningService may only be part of a single QoSService - the cardinality on the QoSService reference is Max (1).
UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_QoSConditioningSubService | CIM_QoSService
PartComponent | CIM_QoSConditioningSubService | CIM_ConditioningService

## Class Methods